## xfpt 0.09

=== src/Makefile ===
# Unix base make file for xfpt.

# The normal targets in this Makefile are not called directly, but should be
# called from the top-level Makefile. To make it easy when developing from
# within the source directory, a call with no target gets passed back up to
# the outer Makefile.

intcall:;      cd ..; $(MAKE);

# This is the main target

all:  xfpt

# Compile step for the modules

.SUFFIXES:  .o .c
.c.o:;  @echo "$(CC) $*.c"
	       $(FE)$(CC) -c $(CFLAGS) -DDATADIR='"$(DATADIR)"' $*.c

# List of general dependencies

DEP = ../Makefile Makefile xfpt.h structs.h functions.h globals.h mytypes.h

# Object module list for xfpt

SDOBJ = dot.o error.o globals.o literal.o misc.o para.o read.o tree.o xfpt.o

# Link step

xfpt :         $(SDOBJ)
	       @echo "$(CC) -o xfpt"
	       $(FE)$(CC) $(LFLAGS) $(EFENCE) -o xfpt $(SDOBJ)
	       @echo ">>> xfpt command built"; echo ""

# Dependencies

dot.o:         $(DEP) dot.c
error.o:       $(DEP) error.c
globals.o:     $(DEP) globals.c
literal.o:     $(DEP) literal.c
misc.o:        $(DEP) misc.c
para.o:        $(DEP) para.c
read.o:        $(DEP) read.c
tree.o:        $(DEP) tree.c
xfpt.o:        $(DEP) xfpt.c

# Clean up etc

clean:;       /bin/rm -f *.o

# End

## xfpt 0.08

=== debian/changelog ===
xfpt (0.08-1) unstable; urgency=low

  * New upstream version.
  * Convert to v3 format, drop quilt build-dep.
  * Register manual with doc-base.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 14 Nov 2010 18:22:25 +0100

xfpt (0.07-1) unstable; urgency=low

  * New upstream version.
    + Bump debian/copyright.
  * Use quilt.
  * Standards-Version 3.8.3.
  * Add watch file.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 Aug 2009 13:41:41 +0200

xfpt (0.06-1) unstable; urgency=low

  * Initial release (Closes: #533819)

 -- Andreas Metzler <ametzler@debian.org>  Sat, 20 Jun 2009 14:18:39 +0000

=== debian/control ===
Source: xfpt
Section: text
Priority: extra
Maintainer: Andreas Metzler <ametzler@debian.org>
Build-Depends: debhelper (>= 7), autotools-dev
Standards-Version: 3.9.1

Package: xfpt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: generate XML from plain text
 xfpt is a program that reads a file of plain text that contains relatively
 simple markup, and outputs an XML file. It is intended to simplify the
 management of XML data. It is not a program that attempts to turn a plain text
 document into XML. Markup within text is introduced by ampersand characters,
 but is otherwise "soft". You can define what follows the ampersand, for
 example, &" to generate a "quote" element. There is also a macro facility that
 allows for higher level concepts such as chapters, displays, tables, etc.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif



config.status: configure
	dh_testdir
	# Add here commands to configure the package.
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	./configure $(CROSS) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs"


build: build-stamp

build-stamp: config.status 
	dh_testdir

	$(MAKE)
ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
	$(MAKE) test
endif

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  

	$(MAKE) DESTDIR=$(CURDIR)/debian/xfpt install


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## xfpt 0.09

=== debian/changelog ===
xfpt (0.09-2) unstable; urgency=medium

  * Convert to dh.
  * Use dh_autoreconf.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 28 Sep 2014 13:01:09 +0200

xfpt (0.09-1) unstable; urgency=low

  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 27 May 2012 09:11:11 +0200

xfpt (0.08-2) unstable; urgency=low

  * Use 'dpkg-buildflags --export=configure' to get hardening-flags. Append
    -Wall to CFLAGS. Add required b-d on  dpkg-dev (>= 1.16.1).
  * 20_ld_and_cppflags.diff: Use LDFLAGS and CPPFLAGS.
  * Add build-arch and build-indep targets.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Mar 2012 11:02:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: extra
 Maintainer: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 7), autotools-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), dh-autoreconf
+Standards-Version: 3.9.6
 
 Package: xfpt
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_CFLAGS_MAINT_APPEND := -Wall

override_dh_auto_build:
	$(MAKE) FULLECHO=''

override_dh_auto_clean:
	if test -e Makefile ; then \
		$(MAKE) FULLECHO='' distclean; \
	fi


%:
	dh $@ --with autoreconf --parallel

=== debian/watch ===
version=3
opts=pasv \
ftp://ftp.csx.cam.ac.uk/pub/software/wordprocessing/unix/xfpt/xfpt-([\d+\.]+\d+)\.tar.bz2 debian uupdate

## xfpt 0.10

=== src/Makefile ===
--- 
+++ 
@@ -23,13 +23,13 @@
 
 # Object module list for xfpt
 
-SDOBJ = dot.o error.o globals.o literal.o misc.o para.o read.o tree.o xfpt.o
+OBJ = dot.o error.o globals.o literal.o misc.o para.o read.o tree.o xfpt.o
 
 # Link step
 
-xfpt :         $(SDOBJ)
+xfpt :         $(OBJ)
 	       @echo "$(CC) -o xfpt"
-	       $(FE)$(CC) $(LFLAGS) $(EFENCE) -o xfpt $(SDOBJ)
+	       $(FE)$(CC) $(CFLAGS) $(LFLAGS) -o xfpt $(OBJ)
 	       @echo ">>> xfpt command built"; echo ""
 
 # Dependencies

=== debian/changelog ===
xfpt (0.10-1) unstable; urgency=low

  * New upstream version.
    + Refresh 20_ld_and_cppflags.diff.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Oct 2018 17:44:45 +0200

xfpt (0.09-3) unstable; urgency=low

  * Use dh v11 compat.
  * Set DEB_BUILD_MAINT_OPTIONS := hardening=+all.
  * Set Rules-Requires-Root: no.
  * Sync priorities with override file.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 Apr 2018 18:11:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: xfpt
 Section: text
-Priority: extra
+Priority: optional
 Maintainer: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 11)
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 
 Package: xfpt
 Architecture: any

## xfpt 0.11

=== debian/changelog ===
xfpt (0.11-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: stack-based buffer overflow vulnerability
    - debian/patches/CVE-2024-43700.patch: diagnose error if macro
      expansion makes a line too long for its buffer
    - CVE-2024-43700

 -- Shishir Subedi <shishir.subedi@canonical.com>  Wed, 08 Jan 2025 10:16:58 +0545

xfpt (0.11-1) unstable; urgency=low

  * Fix watchfile (report functionality).
  * New upstream version, fixing memory issues. (Closes:  #968658, #968715)
    + Unfuzz 10_destdirsupport.diff
  * Use dh compat level 13.
  * Drop superfluous README.source.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 18 Sep 2020 11:13:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: xfpt
 Section: text
 Priority: optional
-Maintainer: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper (>= 11)
-Standards-Version: 4.2.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Andreas Metzler <ametzler@debian.org>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 
 Package: xfpt

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_CFLAGS_MAINT_APPEND := -Wall
+export DEB_BUILD_MAINT_OPTIONS := hardening=+all
 
 override_dh_auto_build:
 	$(MAKE) FULLECHO=''
@@ -12,4 +13,4 @@
 
 
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@

## xfpt 1.00

=== src/Makefile ===
--- 
+++ 
@@ -23,13 +23,13 @@
 
 # Object module list for xfpt
 
-OBJ = dot.o error.o globals.o literal.o misc.o para.o read.o tree.o xfpt.o
+OBJ = dot.o error.o globals.o misc.o para.o read.o tree.o xfpt.o
 
 # Link step
 
 xfpt :         $(OBJ)
 	       @echo "$(CC) -o xfpt"
-	       $(FE)$(CC) $(CFLAGS) $(LFLAGS) -o xfpt $(OBJ)
+	       $(FE)$(CC) $(CFLAGS) $(LDFLAGS) -o xfpt $(OBJ)
 	       @echo ">>> xfpt command built"; echo ""
 
 # Dependencies
@@ -37,7 +37,6 @@
 dot.o:         $(DEP) dot.c
 error.o:       $(DEP) error.c
 globals.o:     $(DEP) globals.c
-literal.o:     $(DEP) literal.c
 misc.o:        $(DEP) misc.c
 para.o:        $(DEP) para.c
 read.o:        $(DEP) read.c

=== debian/changelog ===
xfpt (1.00-3) unstable; urgency=medium

  * Add Vcs-* fields.
  * Cherry-pick 30-Diagnose-error-if-macro-expansion-makes-a-line-too-l.patch
    from upstream GIT master fixing a stack-based buffer overflow
    vulnerability. CVE-2024-43700 Closes: #1080219

 -- Andreas Metzler <ametzler@debian.org>  Sun, 01 Sep 2024 11:18:14 +0200

xfpt (1.00-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 11 Jun 2023 10:45:46 +0200

xfpt (1.00-1) experimental; urgency=medium

  * New upstream version.
    + Refresh patches.
  * Run wrap-and-sort -ast.
  * Add Homepage field to debian/control, pointing to github repo.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 25 Mar 2023 11:24:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,20 @@
 Source: xfpt
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Maintainer: Andreas Metzler <ametzler@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
+Homepage: https://github.com/PhilipHazel/xfpt/
+Vcs-Git: https://salsa.debian.org/exim-team/xfpt.git
+Vcs-Browser: https://salsa.debian.org/exim-team/xfpt
 
 Package: xfpt
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: generate XML from plain text
  xfpt is a program that reads a file of plain text that contains relatively
  simple markup, and outputs an XML file. It is intended to simplify the
